Skip to main content
POST
Create Tier

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique tier structure identifier.

Body

application/json
name
string
required

Display name.

Required string length: 1 - 200
qualification_rules
object
required

When type is POINTS, min_value is required. max_value is optional but if provided must be >= min_value. Cannot have max_value without min_value. When type is SEGMENT, segment is required and min_value/max_value are not allowed.

downgrade
object | null

Downgrade override. Default: INHERIT.

metadata
object | null

Custom key-value metadata.

Response

Created tier

A tier resource as returned by the API.

id
string
required

Unique tier identifier.

tier_structure_id
string
required

ID of the parent tier structure.

name
string
required

Display name.

Maximum string length: 200
downgrade
object
required
metadata
object
required

Custom key-value metadata.

created_at
string<date-time>
required

ISO 8601 creation timestamp.

object
enum<string>
required

Object type discriminator.

Available options:
tier
qualification_rules
object | null

Rules determining how members qualify for this tier.

updated_at
string<date-time> | null

ISO 8601 last-update timestamp.

Last modified on May 19, 2026